List threads for an agent
curl --request GET \
--url https://api.matrices.com/v1/agents/{agentId}/threads \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.matrices.com/v1/agents/{agentId}/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.matrices.com/v1/agents/{agentId}/threads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.matrices.com/v1/agents/{agentId}/threads"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"threads": [
{
"lastSeq": 123,
"messageCount": 123,
"status": "running",
"thread": {
"agentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"workspaceId": "<string>",
"identity": "<string>",
"maxCost": 1
},
"toolCallCount": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"assistantPreview": "<string>",
"pendingWaits": [
{
"id": "<string>",
"target": "url",
"turnId": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"hookId": "<string>",
"point": "before_turn_start",
"processor": "url",
"reason": "<string>",
"toolCallId": "<string>",
"toolInput": "<unknown>",
"toolName": "<string>",
"toolsetId": "<string>"
}
],
"preview": "<string>",
"usage": {
"inputTokens": 123,
"outputTokens": 123,
"totalTokens": 123,
"cacheReadTokens": 123,
"cacheWriteTokens": 123,
"estimatedCost": 123,
"reasoningTokens": 123
},
"userPreview": "<string>"
}
],
"nextCursor": "<string>"
}{
"operation": {
"action": "<string>",
"agentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"state": "pending",
"resolvedAt": "2023-11-07T05:31:56Z",
"resolvedBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"result": {
"status": 349,
"body": "<unknown>"
}
}
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}Threads
List threads for an agent
GET
/
v1
/
agents
/
{agentId}
/
threads
List threads for an agent
curl --request GET \
--url https://api.matrices.com/v1/agents/{agentId}/threads \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.matrices.com/v1/agents/{agentId}/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.matrices.com/v1/agents/{agentId}/threads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.matrices.com/v1/agents/{agentId}/threads"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"threads": [
{
"lastSeq": 123,
"messageCount": 123,
"status": "running",
"thread": {
"agentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"workspaceId": "<string>",
"identity": "<string>",
"maxCost": 1
},
"toolCallCount": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"assistantPreview": "<string>",
"pendingWaits": [
{
"id": "<string>",
"target": "url",
"turnId": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"hookId": "<string>",
"point": "before_turn_start",
"processor": "url",
"reason": "<string>",
"toolCallId": "<string>",
"toolInput": "<unknown>",
"toolName": "<string>",
"toolsetId": "<string>"
}
],
"preview": "<string>",
"usage": {
"inputTokens": 123,
"outputTokens": 123,
"totalTokens": 123,
"cacheReadTokens": 123,
"cacheWriteTokens": 123,
"estimatedCost": 123,
"reasoningTokens": 123
},
"userPreview": "<string>"
}
],
"nextCursor": "<string>"
}{
"operation": {
"action": "<string>",
"agentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"state": "pending",
"resolvedAt": "2023-11-07T05:31:56Z",
"resolvedBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"result": {
"status": 349,
"body": "<unknown>"
}
}
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}Authorizations
APIKeyBearerAgentLeaseBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
1 <= x <= 200Filter thread list rows by projected state.
Available options:
waiting